Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.velocity
Class BridgesVelocityViewServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.velocity.tools.view.servlet.VelocityViewServlet
                  org.apache.portals.bridges.velocity.BridgesVelocityViewServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class BridgesVelocityViewServlet
extends org.apache.velocity.tools.view.servlet.VelocityViewServlet

Version:
  $Id: BridgesVelocityViewServlet.java 517068 2007-03-12 01:44:37Z ate $
Author:
  Scott T. Weaver
See Also:
  Serialized Form

Field Summary
`static String` | `PORTLET_CONFIG`
`static String` | `PORTLET_REQUEST`
`static String` | `PORTLET_RESPONSE`
`static String` | `VELOCITY_CONTEXT_ATTR`
`static String` | `VELOCITY_WRITER_ATTR`
`private static org.apache.velocity.util.SimplePool` | `writerPool` Cache of writers

Fields inherited from class org.apache.velocity.tools.view.servlet.VelocityViewServlet
`CONTENT_TYPE, DEFAULT_CONTENT_TYPE, DEFAULT_OUTPUT_ENCODING, DEFAULT_PROPERTIES_PATH, DEFAULT_TOOLBOX_PATH, DEFAULT_TOOLS_PROPERTIES, INIT_PROPS_KEY, SERVLET_CONTEXT_KEY, TOOLBOX_KEY, toolboxManager`

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`BridgesVelocityViewServlet()`

Method Summary
`protected org.apache.velocity.Template` | `handleRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, org.apache.velocity.context.Context ctx)` Adds the RenderRequest, RenderResponse and PortletConfig to the context
`protected void` | `mergeTemplate(org.apache.velocity.Template template, org.apache.velocity.context.Context context, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class org.apache.velocity.tools.view.servlet.VelocityViewServlet
`createContext, doGet, doPost, doRequest, error, findInitParameter, getResponseWriter, getTemplate, getTemplate, getVelocityEngine, getVelocityProperty, init, initToolbox, initVelocity, loadConfiguration, performMerge, requestCleanup, setContentType, setVelocityEngine`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PORTLET_REQUEST

    public static final String PORTLET_REQUEST

See Also:
  Constant Field Values

### PORTLET_RESPONSE

    public static final String PORTLET_RESPONSE

See Also:
  Constant Field Values

### PORTLET_CONFIG

    public static final String PORTLET_CONFIG

See Also:
  Constant Field Values

### VELOCITY_WRITER_ATTR

    public static final String VELOCITY_WRITER_ATTR

See Also:
  Constant Field Values

### writerPool

    private static org.apache.velocity.util.SimplePool writerPool

  Cache of writers

### VELOCITY_CONTEXT_ATTR

    public static final String VELOCITY_CONTEXT_ATTR

See Also:
  Constant Field Values

Constructor Detail

### BridgesVelocityViewServlet

    public BridgesVelocityViewServlet()

Method Detail

### handleRequest

    protected org.apache.velocity.Template handleRequest(javax.servlet.http.HttpServletRequest request,
                                                         javax.servlet.http.HttpServletResponse response,
                                                         org.apache.velocity.context.Context ctx)
                                                  throws Exception

  Adds the RenderRequest, RenderResponse and PortletConfig to the context

  Throws:
    `Exception`
  See Also:
    `VelocityViewServlet.handleRequest(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, org.apache.velocity.context.Context)`

### mergeTemplate

    protected void mergeTemplate(org.apache.velocity.Template template,
                                 org.apache.velocity.context.Context context,
                                 javax.servlet.http.HttpServletResponse response)
                          throws org.apache.velocity.exception.ResourceNotFoundException,
                                 org.apache.velocity.exception.ParseErrorException,
                                 org.apache.velocity.exception.MethodInvocationException,
                                 IOException,
                                 UnsupportedEncodingException,
                                 Exception

  Throws:
    `org.apache.velocity.exception.ResourceNotFoundException`
    `org.apache.velocity.exception.ParseErrorException`
    `org.apache.velocity.exception.MethodInvocationException`
    `IOException`
    `UnsupportedEncodingException`
    `Exception`
  See Also:
    `VelocityViewServlet.mergeTemplate(org.apache.velocity.Template, org.apache.velocity.context.Context, javax.servlet.http.HttpServletResponse)`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.